extensions / Shipment restrictions
PATCH
/api/projects/{project_id}/sales/shipment-restrictions/{restriction_id}PATCH /api/projects/{project_id}/sales/shipment-restrictions/{restriction_id}
A description is not available in the current release metadata.
Code examples
Integration
PATCH /api/projects/{project_id}/sales/shipment-restrictions/{restriction_id}
Environment
BASE_URLcurl --request PATCH \
--url "${BASE_URL}/api/projects/example_project_id/sales/shipment-restrictions/example_restriction_id" \
--header "Content-Type: application/json" \
--data @request.jsonResponse
Response examples are not available in the current release metadata.
Authentication
Authentication requirements are not specified for this operation.
Authentication
- Requirement
- Not specified
- Credential type
- Not specified
- Scopes
- Not specified
Headers
Path Parameters
| Name | Required | Type |
|---|---|---|
project_id | Yes | Not specified |
restriction_id | Yes | Not specified |
Query Parameters
Request Body
Schema: UpsertShipmentRestrictionRequest
| Field | Required | Type |
|---|---|---|
name | No | Not specified |
description | No | Not specified |
is_active | No | Not specified |
restricted_carriers | No | Not specified |
restricted_methods | No | Not specified |
show_message | No | Not specified |
restriction_message | No | Not specified |
show_message_once | No | Not specified |
conditions | No | Not specified |
admin_area_only | No | Not specified |
customer_roles | No | Not specified |
days_of_week | No | Not specified |
Response Body
Errors
Availability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified